import { basicData } from './basic-data'
import { extendFormItems } from './extend'
import { operateFormItems } from './operate'
import { packingColumns } from './packing'

export function detailConfig(self) {
  // 

  // let qcResult1=packingColumns.find(item=>{

  //   if(item.dataIndex=='qcResult1'){

  //     return item
  //   }})
  //   qcResult1.on={
  //     change:({value,index})=>{
  //      let table= self.$refs.detail.$refs.list[0].$refs.easyTable
  //       if(value=="1"){

  //         table.setIndexByColRules("handlingReason",index)

  //       }else{
  //         table.clearIndexByColRules('handlingReason',index)

  //       }

  //     }
  //   }

  return [
    {
      key: 'one',
      checkedKey: 'main',
      height: '250px',
      btns: [
        {
          label: '提取单据',
          click() { self.visible = true }
        },
        {
          label: '抽检',
          click() {
            self.getList();
          }
        },
        {
          label: '扫描药品追溯码',
          click() {
            self.scanCode();
          }
        },
        {
          label: '保存',
          click() {
            self.submitData();
          }
        },
      ],
      list: [
        {
          key: 'main',
          tab: '主要信息',
          item: { type: 'p-grid-form', config: basicData(self) }
        },
        {
          key: 'extend',
          tab: '次要信息',
          item: { type: 'p-grid-form', config: extendFormItems }
        },
        // {
        //   key: 'operate',
        //   tab: '操作信息',
        //   item: { type: 'p-grid-form', config: operateFormItems }
        // }
      ]
    },
    {
      key: 'two',
      checkedKey: 'list',
      list: [
        {
          key: 'list',
          tab: '商品明细',
          btns: [
            // {
            //   label: '差异',
            //   click() {
            //     self.toErrorBill();
            //   }
            // },
            // {
            //   label: '批量不合格',
            //   click() {
            //     self.batchFailure();
            //   }
            // },
          ],
          item: {
            type: 'p-table-sheet',
            rowKey: 'taskRqcId',
            rowSelectType: 2,
            config: packingColumns(self),
            operations: [
              { title: '拆分', click(record) { self.showSplitBill(record); } }
            ],
            colChange({ record, name, value }) {
            },
            onClick(selectedRowKeys, selectedRows, data) {
              
            },
            onSelectRow({ selectedRowKeys, selectedRows }) {
              self.selectedRows = selectedRows
            },
            //双击行事件
            onDblClick(selectedRowKeys, selectedRows, data) {
              if (data.qcResult1 !== '3') {
                if (data.isSupervise === 1) {
                  self.codeModal(data);
                }
              }
            },
          },
        }
      ]
    }
  ]
}
